import { ModelConditionUtil, ModelConditionUtilImpl, FieldConditionUtil, TableUtilImpl } from 'model-util';
/**
 * @author Keytop midend auto generate
 * @version 1.0
 * @date 2020-05-27 11:22
 */
interface TestModel2 {
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 创建时间
    * @type { Date }
    */
    createTime?: Date;
    /**
    * 创建人ID
    * @type { string }
    */
    createUserId?: string;
    /**
    * 描述
    * @type { string }
    */
    description?: string;
    /**
    * 主键
    * @type { string }
    */
    id?: string;
    /**
    * 更新时间
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 修改人ID
    * @type { string }
    */
    updateUserId?: string;
}
interface TestModel2MCU extends ModelConditionUtil<TestModel2MCU> {
    CODE: FieldConditionUtil<TestModel2MCU>;
    CREATE_TIME: FieldConditionUtil<TestModel2MCU>;
    CREATE_USER_ID: FieldConditionUtil<TestModel2MCU>;
    DESCRIPTION: FieldConditionUtil<TestModel2MCU>;
    ID: FieldConditionUtil<TestModel2MCU>;
    UPDATE_TIME: FieldConditionUtil<TestModel2MCU>;
    UPDATE_USER_ID: FieldConditionUtil<TestModel2MCU>;
}
declare class TestModel2MCUImpl extends ModelConditionUtilImpl<TestModel2MCUImpl> implements TestModel2MCU {
    newInstance(): TestModel2MCUImpl;
    private _CODE;
    get CODE(): FieldConditionUtil<TestModel2MCU>;
    private _CREATE_TIME;
    get CREATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private _CREATE_USER_ID;
    get CREATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
    private _DESCRIPTION;
    get DESCRIPTION(): FieldConditionUtil<TestModel2MCU>;
    private _ID;
    get ID(): FieldConditionUtil<TestModel2MCU>;
    private _UPDATE_TIME;
    get UPDATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private _UPDATE_USER_ID;
    get UPDATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
}
declare class TestModel2MU extends TableUtilImpl<TestModel2MCU, TestModel2> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    selectSQL: string;
    createModelConditionUtil(): TestModel2MCU;
    private static _CODE;
    static get CODE(): FieldConditionUtil<TestModel2MCU>;
    private static _CREATE_TIME;
    static get CREATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private static _CREATE_USER_ID;
    static get CREATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
    private static _DESCRIPTION;
    static get DESCRIPTION(): FieldConditionUtil<TestModel2MCU>;
    private static _ID;
    static get ID(): FieldConditionUtil<TestModel2MCU>;
    private static _UPDATE_TIME;
    static get UPDATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private static _UPDATE_USER_ID;
    static get UPDATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
    private _CODE;
    get CODE(): FieldConditionUtil<TestModel2MCU>;
    private _CREATE_TIME;
    get CREATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private _CREATE_USER_ID;
    get CREATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
    private _DESCRIPTION;
    get DESCRIPTION(): FieldConditionUtil<TestModel2MCU>;
    private _ID;
    get ID(): FieldConditionUtil<TestModel2MCU>;
    private _UPDATE_TIME;
    get UPDATE_TIME(): FieldConditionUtil<TestModel2MCU>;
    private _UPDATE_USER_ID;
    get UPDATE_USER_ID(): FieldConditionUtil<TestModel2MCU>;
}
export { TestModel2MCU, TestModel2MCUImpl, TestModel2, TestModel2MU };
